Bug 1302507 - jenkins plugins don't load
jenkins plugins don't load
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Ari LiVigni
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 21:21 EST by Anthony Green
Modified: 2018-01-09 11:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-09 11:51:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2016-01-27 21:21:03 EST
Description of problem:


The jenkins plugins don't appear. Here's what the jenkins logs say...

Jan 27, 2016 1:48:57 PM SEVERE hudson.model.UpdateSite updateData

ERROR: Signature verification failed in update site &#039;default&#039; <a href='#' class='showDetails'>(show details)</a><pre style='display:none'>java.security.cert.CertPathValidatorException: Algorithm constraints check failed: MD5withRSA<br>	at sun.security.provider.certpath.PKIXMasterCertPathValidator.validate(PKIXMasterCertPathValidator.java:135)<br>	at sun.security.provider.certpath.PKIXCertPathValidator.validate(PKIXCertPathValidator.java:219)<br>	at sun.security.provider.certpath.PKIXCertPathValidator.validate(PKIXCertPathValidator.java:140)<br>	at sun.security.provider.certpath.PKIXCertPathValidator.engineValidate(PKIXCertPathValidator.java:79)<br>	at java.security.cert.CertPathValidator.validate(CertPathValidator.java:292)<br>	at org.jvnet.hudson.crypto.CertificateUtil.validatePath(CertificateUtil.java:93)<br>	at jenkins.util.JSONSignatureValidator.verifySignature(JSONSignatureValidator.java:76)<br>	at hudson.model.UpdateSite.verifySignature(UpdateSite.java:219)<br>	at hudson.model.UpdateSite.updateData(UpdateSite.java:198)<br>	at hudson.model.UpdateSite.updateDirectlyNow(UpdateSite.java:170)<br>	at hudson.PluginManager.doCheckUpdatesServer(PluginManager.java:891)<br>	at jenkins.model.DownloadSettings$DailyCheck.execute(DownloadSettings.java:118)<br>	at hudson.model.AsyncPeriodicWork$1.run(AsyncPeriodicWork.java:53)<br>	at java.lang.Thread.run(Thread.java:745)<br></pre>

When I inspect the java version by shelling into the container like so... 
$ docker run -t -i --rm docker.io/openshift/jenkins-1-centos7 bash

I see java-1.8.0-openjdk-1.8.0.71-2.b15.el7_2.x86_64 

Some upstream reports suggest that the java version may be a problem.  I know this was working not too long ago, and there was a recent openjdk  update in RHEL7.2, so maybe this is related...

https://issues.jenkins-ci.org/browse/JENKINS-31102


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ari LiVigni 2016-01-28 13:02:00 EST
Can I see a layout of your directory structure and in particular your plugins.txt file that contains all your plugin name name and versions.
Comment 2 Ari LiVigni 2016-01-28 13:04:29 EST
Also can you retry I know the update site was down at some point in the last day or so.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.